Secure Citizen Passport Validation (with photo match)
curl --request POST \
--url https://citizen.uat.securecitizen.cloud/Citizen/ValidatePassportAndPhoto \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ConsentReceived": true,
"SCConsentReceived": true,
"PassportNumber": "<string>",
"PassportImage": "<string>",
"FaceString": "<string>",
"CRef": "<string>",
"MobileNumber": "<string>",
"EmailAddress": "<string>"
}
'import requests
url = "https://citizen.uat.securecitizen.cloud/Citizen/ValidatePassportAndPhoto"
payload = {
"ConsentReceived": True,
"SCConsentReceived": True,
"PassportNumber": "<string>",
"PassportImage": "<string>",
"FaceString": "<string>",
"CRef": "<string>",
"MobileNumber": "<string>",
"EmailAddress": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ConsentReceived: true,
SCConsentReceived: true,
PassportNumber: '<string>',
PassportImage: '<string>',
FaceString: '<string>',
CRef: '<string>',
MobileNumber: '<string>',
EmailAddress: '<string>'
})
};
fetch('https://citizen.uat.securecitizen.cloud/Citizen/ValidatePassportAndPhoto', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://citizen.uat.securecitizen.cloud/Citizen/ValidatePassportAndPhoto",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ConsentReceived' => true,
'SCConsentReceived' => true,
'PassportNumber' => '<string>',
'PassportImage' => '<string>',
'FaceString' => '<string>',
'CRef' => '<string>',
'MobileNumber' => '<string>',
'EmailAddress' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://citizen.uat.securecitizen.cloud/Citizen/ValidatePassportAndPhoto"
payload := strings.NewReader("{\n \"ConsentReceived\": true,\n \"SCConsentReceived\": true,\n \"PassportNumber\": \"<string>\",\n \"PassportImage\": \"<string>\",\n \"FaceString\": \"<string>\",\n \"CRef\": \"<string>\",\n \"MobileNumber\": \"<string>\",\n \"EmailAddress\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://citizen.uat.securecitizen.cloud/Citizen/ValidatePassportAndPhoto")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ConsentReceived\": true,\n \"SCConsentReceived\": true,\n \"PassportNumber\": \"<string>\",\n \"PassportImage\": \"<string>\",\n \"FaceString\": \"<string>\",\n \"CRef\": \"<string>\",\n \"MobileNumber\": \"<string>\",\n \"EmailAddress\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://citizen.uat.securecitizen.cloud/Citizen/ValidatePassportAndPhoto")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ConsentReceived\": true,\n \"SCConsentReceived\": true,\n \"PassportNumber\": \"<string>\",\n \"PassportImage\": \"<string>\",\n \"FaceString\": \"<string>\",\n \"CRef\": \"<string>\",\n \"MobileNumber\": \"<string>\",\n \"EmailAddress\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"CRef": "<string>",
"Status": "Success",
"Message": "<string>",
"result": true,
"result_code": {
"name": "<string>",
"id": 123
},
"response_object": {
"ocr_result": {
"document_number": "<string>",
"validation_passed": "<string>",
"comparison_field_list": [
{
"field_name": "<string>",
"mrz_value": "<string>",
"visual_zone_value": "<string>",
"barcode_value": "<unknown>",
"mrz_visual_match_ind_tristate": "<string>",
"visual_barcode_match_ind_tristate": "<string>",
"mrz_barcode_match_ind_tristate": "<string>",
"valid_ind_tristate": "<string>"
}
],
"image_list": [
{
"image_name": "<string>",
"base64_image": "<string>",
"document_category": "<string>",
"document_type": "<string>",
"raw_mrz": "<string>",
"authenticity_check_list": {
"List": {
"List": [
{
"Type": 123,
"Result": 123,
"List": [
{
"ElementType": 123,
"ElementRect": {
"left": 123,
"top": 123,
"right": 123,
"bottom": 123
},
"Type": 123,
"ElementResult": 123,
"ElementDiagnose": 123
}
]
}
]
}
}
}
]
}
},
"FaceResult": {
"isIdentical": true,
"confidence": 123
}
}Identity Verification
Secure Citizen Passport Validation (with photo match)
This is a service that validates the identity documentation (Passport) of a consumer for use in an identity validation process with biometric validation included
Secure Citizen Passport Validation (with photo match)
curl --request POST \
--url https://citizen.uat.securecitizen.cloud/Citizen/ValidatePassportAndPhoto \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ConsentReceived": true,
"SCConsentReceived": true,
"PassportNumber": "<string>",
"PassportImage": "<string>",
"FaceString": "<string>",
"CRef": "<string>",
"MobileNumber": "<string>",
"EmailAddress": "<string>"
}
'import requests
url = "https://citizen.uat.securecitizen.cloud/Citizen/ValidatePassportAndPhoto"
payload = {
"ConsentReceived": True,
"SCConsentReceived": True,
"PassportNumber": "<string>",
"PassportImage": "<string>",
"FaceString": "<string>",
"CRef": "<string>",
"MobileNumber": "<string>",
"EmailAddress": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ConsentReceived: true,
SCConsentReceived: true,
PassportNumber: '<string>',
PassportImage: '<string>',
FaceString: '<string>',
CRef: '<string>',
MobileNumber: '<string>',
EmailAddress: '<string>'
})
};
fetch('https://citizen.uat.securecitizen.cloud/Citizen/ValidatePassportAndPhoto', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://citizen.uat.securecitizen.cloud/Citizen/ValidatePassportAndPhoto",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ConsentReceived' => true,
'SCConsentReceived' => true,
'PassportNumber' => '<string>',
'PassportImage' => '<string>',
'FaceString' => '<string>',
'CRef' => '<string>',
'MobileNumber' => '<string>',
'EmailAddress' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://citizen.uat.securecitizen.cloud/Citizen/ValidatePassportAndPhoto"
payload := strings.NewReader("{\n \"ConsentReceived\": true,\n \"SCConsentReceived\": true,\n \"PassportNumber\": \"<string>\",\n \"PassportImage\": \"<string>\",\n \"FaceString\": \"<string>\",\n \"CRef\": \"<string>\",\n \"MobileNumber\": \"<string>\",\n \"EmailAddress\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://citizen.uat.securecitizen.cloud/Citizen/ValidatePassportAndPhoto")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ConsentReceived\": true,\n \"SCConsentReceived\": true,\n \"PassportNumber\": \"<string>\",\n \"PassportImage\": \"<string>\",\n \"FaceString\": \"<string>\",\n \"CRef\": \"<string>\",\n \"MobileNumber\": \"<string>\",\n \"EmailAddress\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://citizen.uat.securecitizen.cloud/Citizen/ValidatePassportAndPhoto")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ConsentReceived\": true,\n \"SCConsentReceived\": true,\n \"PassportNumber\": \"<string>\",\n \"PassportImage\": \"<string>\",\n \"FaceString\": \"<string>\",\n \"CRef\": \"<string>\",\n \"MobileNumber\": \"<string>\",\n \"EmailAddress\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"CRef": "<string>",
"Status": "Success",
"Message": "<string>",
"result": true,
"result_code": {
"name": "<string>",
"id": 123
},
"response_object": {
"ocr_result": {
"document_number": "<string>",
"validation_passed": "<string>",
"comparison_field_list": [
{
"field_name": "<string>",
"mrz_value": "<string>",
"visual_zone_value": "<string>",
"barcode_value": "<unknown>",
"mrz_visual_match_ind_tristate": "<string>",
"visual_barcode_match_ind_tristate": "<string>",
"mrz_barcode_match_ind_tristate": "<string>",
"valid_ind_tristate": "<string>"
}
],
"image_list": [
{
"image_name": "<string>",
"base64_image": "<string>",
"document_category": "<string>",
"document_type": "<string>",
"raw_mrz": "<string>",
"authenticity_check_list": {
"List": {
"List": [
{
"Type": 123,
"Result": 123,
"List": [
{
"ElementType": 123,
"ElementRect": {
"left": 123,
"top": 123,
"right": 123,
"bottom": 123
},
"Type": 123,
"ElementResult": 123,
"ElementDiagnose": 123
}
]
}
]
}
}
}
]
}
},
"FaceResult": {
"isIdentical": true,
"confidence": 123
}
}Authorizations
Body
application/json
Example: true
This is an indicator to audit the fact that the controller has obtained consent from the subject to process their personal information and data as per the regulatory requirements pertaining to local and global privacy and data protection legislation.
Response
Success
Status values (static strings) to be used for external connection management
Available options:
Success, Failure, Unknown, AuthFailure, DataDeserializationError, EmptyResults, ErrorContactSupport, FaceDetectionFailure, FaceComparisonFailure, NoStatusDefined, FaceDetectionQualityTooLow, FaceDetectionTooManyFaces, FaceDetectionNoFacesFound, FaceComparisonError, FaceComparisonNotSame, GoldenSourceImageNull, ProvidedImageNull, GoldenSourceNoFacesFound, ProvidedImageNoFacesFound, GoldenSourceHasTooManyFaces, ProvidedImageHasTooManyFaces, GoldenSourceQualityTooLow, ProvidedImageQualityTooLow, GoldenSourceGUIDIncorrect, ProvidedImageGUIDIncorrect, FaceAPIGeneralError, FaceAPIPublicUrlInputError, FaceBadInput, GoldenSourceIncorrectStringFormat, ProvidedImageIncorrectStringFormat, SAFPSNPROk, SAFPSHANISOk, SAFPSNIISOk, SAFPSNPRSlow, SAFPSHANISSlow, SAFPSNIISSlow, SAFPSFailure, SAFPSPossibleFailure, SAFPSNPRFailure, SAFPSHANISFailure, SAFPSNIISFailure, FaceTooClose, EyesClosed, FaceCloseToBorder, FaceCropped, FaceIsOccluded, FaceNotFound, TooManyFaces, FaceTooSmall, AbsoluteFaceTooSmall, RelativeFaceTooSmall, FaceAngleTooLarge, FailedToPredictLandmarks, Active, CSuccess, AsyncCSuccess, IdentificationNumberInvalid, IdentificationNumberAgeBelow18, UnableToVerifyIdentificationNumberOnDocument, UnableToVerifyIdentificationNumberAtGoldenSource, GoldenSourceUnavailable, MandatoryInformationMissing, NPRSuccess, HANISNotAvailable, InvalidIDNCheckDigitTestNotPassed, NPRNotAvailableOnlyPhotoIsReturned, IDNRIsNotCurrentlyAValidNPRIDNR, IDNRIsMarkedForDeletion 
